

import resources.ClassicsSampleHelper;

import com.rational.test.ft.*;
import com.rational.test.ft.object.interfaces.*;
import com.rational.test.ft.script.*;
import com.rational.test.ft.value.*;
import com.rational.test.ft.vp.*;

/**
 * Description   : Functional Test Script
 * @author tmccawley
 */
public class ClassicsSample extends ClassicsSampleHelper
{
	/**
	 * Script Name   : <b>ClassicsSample</b>
	 * Generated     : <b>Aug 17, 2004 5:05:46 PM</b>
	 * Description   : Functional Test Script
	 * Original Host : WinNT Version 5.0  Build 2195 (S)
	 * 
	 * @since  2004/08/17
	 * @author tmccawley
	 */
	public void testMain(Object[] args) 
	{
		startApp("ClassicsJavaB");
		
		// Frame: ClassicsCD
		tree2().click(atPath("Composers->Haydn->Location(PLUS_MINUS)"));
		tree2().click(atPath("Composers->Haydn->Symphonies Nos. 94 & 98"));
		placeOrder().drag();
		
		// Frame: Member Logon
		ok().click();
		
		// Frame: Place an Order
		cardNumberIncludeTheSpacesText().click(atPoint(19,10));
		placeAnOrder().inputChars("7777 7777 7777 7777");
		expirationDateText().click(atPoint(15,9));
		placeAnOrder().inputChars("07/07");
		placeOrder2().click();
		
		// 
		ok2().click();
		Classics_treeVP().performTest();
		
		// Frame: ClassicsCD
		jmb().click(atPath("Order"));
		jmb().click(atPath("Order->View Existing Order Status..."));
		
		// Frame: View Order Status
		ok3().click();
		OrderForTrentCulpito_standaVP().performTest();
		
		// Frame: View Existing Orders
		close().click();
		
		// Frame: ClassicsCD
		tree2().click(atPath("Composers->Schubert->Location(PLUS_MINUS)"));
		tree2().click(atPath("Composers->Schubert->String Quartets Nos. 4 & 14"));
		placeOrder().click();
		
		// Frame: Member Logon
		passwordText().click(atPoint(40,7));
		memberLogon().inputChars("xxxx");
		rememberPassword().clickToState(SELECTED);
		ok().click();
		
		// Frame: Place an Order
		cardNumberIncludeTheSpacesText().click(atPoint(43,12));
		placeAnOrder().inputChars("7777 7777 7777 7777");
		expirationDateText().click(atPoint(5,8));
		placeAnOrder().inputChars("07/07");
		placeOrder2().click();
		
		// 
		ok2().click();
		
		// Frame: ClassicsCD
		classicsJava(ANY,MAY_EXIT).close();
	}
}
